org.apache.sling.datasource.internal

## Class DriverRegistry

- java.lang.Object
- - org.apache.sling.datasource.internal.DriverRegistry

    @Service(value=DriverRegistry.class)
    public class DriverRegistry
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DriverRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(org.osgi.framework.BundleContext bundleContext)`
`protected void` `deactivate()`
`Collection<Driver>` `getDrivers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DriverRegistry

    public DriverRegistry()

### Method Detail

#### getDrivers

    public Collection<Driver> getDrivers()

#### activate

    @Activate
    protected void activate(org.osgi.framework.BundleContext bundleContext)

#### deactivate

    @Deactivate
    protected void deactivate()